# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

---
## [Unreleased]
### Added
### Changed
### Deprecated
### Removed
### Fixed
### Security
---
## [1.2.1]
### Added
### Changed
### Deprecated
### Removed
### Fixed
- Fixed rendering of `opensearch-dashboard.yml` in `configmap.yaml`.
### Security

---
## [1.2.0]
### Added
### Changed
- Changed structure of `image` keys in `values.yaml` file to use helm's default (`image.repository`, `image.tag`, `image.pullPolicy`)
### Deprecated
### Removed
### Fixed
### Security

---
## [1.1.2]
### Added
### Changed
- Removed default imageTag from values.yaml to use Chart appVersion image tag by default.
### Deprecated
### Removed
### Fixed
### Security

---
## [1.1.1]
### Added
### Changed
- Updated appVersion to 1.2.0
### Deprecated
### Removed
### Fixed
### Security

---
## [1.1.0]
### Added
- Added support for the `ingressClassName` field in the `Ingress` resource. This field is used to specify the Ingress class that should be used for the Ingress. Supported in Kubernetes 1.18 and greater as per [this](https://kubernetes.io/docs/concepts/services-networking/ingress/#deprecated-annotation) notice.
### Changed
### Deprecated
### Removed
### Fixed
### Security

---
## [1.0.8]
### Added
### Changed
- Updating the copyright header to reflect the apache-2.0 license.
### Deprecated
### Removed
### Fixed
### Security

---
## [1.0.7]
### Added
- Add `extraVolumes` and `extraVolumeMounts`.
### Changed
### Deprecated
### Removed
### Fixed
### Security

---
## [1.0.6]
### Added
### Changed
- Change `appVersion` to `1.1.0`. OpenSearch Dashboards chart will have by default underlying image of `opensearchproject/opensearch-dashboards:1.1.0`
### Deprecated
### Removed
### Fixed
### Security

---
## [1.0.5]
### Added
### Changed
- Added [README.md](README.md).
### Deprecated
### Removed
### Fixed
### Security

---
## [1.0.4]
### Added
### Changed
- Amended installation instructions.
### Deprecated
### Removed
### Fixed
### Security

---
## [1.0.2]

### Added
- Added this change log in compliance with [Keep A Change Log](https://keepachangelog.com/en/1.0.0/).

### Changed
- Incremented the version to `1.0.2`.

### Deprecated
### Removed
### Fixed
### Security

[Unreleased]: https://github.com/opensearch-project/helm-charts/compare/opensearch-dashboards-1.2.1...HEAD
[1.2.1]: https://github.com/opensearch-project/helm-charts/compare/opensearch-1.2.0...opensearch-1.2.1
[1.2.0]: https://github.com/opensearch-project/helm-charts/compare/opensearch-1.1.2...opensearch-1.2.0
[1.1.2]: https://github.com/opensearch-project/helm-charts/compare/opensearch-1.1.1...opensearch-1.1.2
[1.1.1]: https://github.com/opensearch-project/helm-charts/compare/opensearch-1.1.0...opensearch-1.1.1
[1.1.0]: https://github.com/opensearch-project/helm-charts/compare/opensearch-1.0.8...opensearch-1.1.0
[1.0.8]: https://github.com/opensearch-project/helm-charts/compare/opensearch-1.0.7...opensearch-1.0.8
[1.0.7]: https://github.com/opensearch-project/helm-charts/compare/opensearch-1.0.6...opensearch-1.0.7
[1.0.6]: https://github.com/opensearch-project/helm-charts/compare/opensearch-1.0.5...opensearch-1.0.6
[1.0.5]: https://github.com/opensearch-project/helm-charts/compare/opensearch-1.0.4...opensearch-1.0.5
[1.0.4]: https://github.com/opensearch-project/helm-charts/compare/opensearch-1.0.2...opensearch-1.0.4
[1.0.2]: https://github.com/opensearch-project/helm-charts/compare/opensearch-dashboards-1.0.1...opensearch-dashboards-1.0.2
